GuidesAPI Reference
API Reference

Fetch a single location

Allows fetching a single location given its ID. The set of returned location properties can be controlled via the fields parameter.

Path Params
string
required

Identifier of the charging location, obtained for example from the Geocoding and Search API, or from the HERE Map Content Electric Vehicle Charging Location data. Only the last component of a colon-separated identifier is used to index the data. The other components are optional.

Query Params
fields
array of strings

The fields parameter allows requesting additional fields in addition to the minimal set of fields to control the amount of data returned. The minimal set of fields is defined as follows:

  • id
  • location
  • name
  • operator
  • suboperator
  • restrictions
  • supportedVehicles

Additional fields can be requested according to the following table. The fields can be freely combined in the query. However some fields have dependencies to other fields as listed in the table. If a field is not present in the data, it will be left out of the response.

Fields-query Returned fields
address 'address' in full details
evses 'evses' in full details, including 'connectors', 'maxPower', 'standard', 'status' etc
RESTRICTED truckRestrictions 'truckRestrictions', 'vehicleLimitations', 'isPullThrough'
locationInfo 'accessPoints', 'parkingType', 'supportPhoneNumber', 'timeZone', 'isPullThrough', 'openingHours', 'energyMix', 'cpoLocationId'
emsps 'eMobilityServiceProviders'
connectorGroups 'connectorGroups', a summary of connectors grouped by max power and type. If also evses-field is requested, the groups include references to EVSEs and connectors.
RESTRICTED predictions 'predictions' in charging location level. If also 'connectorGroups'-field is requested, gives predictions also in 'connectorGroups'.
ALPHA RESTRICTED reliability 'reliability' indicators for 'evses' and 'connectorGroups'. Ignored if requested without 'evses' or 'connectorGroups' fields.
tariffs 'tariffs' for 'connectors' / 'connectorGroups'. Ignored if requested without 'evses' or 'connectorGroups' fields.
nearby ALPHA 'nearbyPlaces', 'facilityTypes', 'hasMoreNearbyPlaces'
integer
1 to 7
Defaults to 2

Data is retrieved starting from the current day, based on the local time zone of the location. Currently applies to data from the following fields: predictions. If no parameter is provided, the default value is 2, which returns data for the current day and the following day. If a parameter is provided, the system attempts to return data for the specified number of days, starting from today. The actual number of days returned may be fewer than requested, depending on data availability.

tariff
array of strings
length ≤ 50

Search option to choose the eMSP or CPO whose tariff the client wants to see in the response. This parameter is effective only if the fields is configured to return tariffs. This parameter can be included multiple times to request tariffs from multiple providers. Adhoc tariffs are always included when available and when tariff fields are requested, regardless of this search parameter.

The input is expected to be based on the response from the CountryMetadata endpoint, including only eMSPs / CPOs that are relevant for the client.

Some eMSPs provide several tariffs (subscriptions / charge cards). The end user is expected to subscribe to only a few of them, and is hence expected to be interested in only the related tariffs. The available tariffs are listed in the CountryMetadata response. If tariff name is not set or the name does not match with the tariffs of the provider, all available tariffs for that provider for the charging location are returned.

As tariff names may occassionally change, the client is encouraged to monitor the list by regularly fetching the latest list of tariff names per eMSP or CPO from the CountryMetadata endpoint.

If the returned tariffs for multiple locations do not contain a requested tariff by the name, the client is recommended to try searching without any names. If still no tariffs were returned, the reason may be that there are no tariffs available for the locations, or that the partner has no roaming agreement for the locations. If the search by partnerId succeeds, the used tariff name may be outdated and the client need to update the list from the CountryMetadata endpoint.

This search cannot be used to filter out locations not covered by the specified eMSPs / CPOs.

The special keyword all can be used to request all available tariffs for the charging location, including both ad-hoc and subscription tariffs including both eMSPs and CPOs. When all is provided, the response will include every tariff type available, regardless of provider or tariff name.

tariff
Headers
string

User-provided token that can be used to trace a request or a group of requests sent to the service

Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json